# QSignalMapper Class Reference

### [com.trolltech.qt.core package]

Inherits QObject.

### Constructor

- void QSignalMapper(QObject parent)

### Constructor Properties

- prototype: The QSignalMapper prototype object

### Prototype Object Properties

The QSignalMapper prototype object inherits properties from the QObject prototype object and also has the following properties.

- QObject mappingById(int id)
- QObject mappingByObject(QObject object)
- QObject mappingByString(String text)
- void removeMappings(QObject sender)
- void setMappingById(QObject sender, int id)
- void setMappingByObject(QObject sender, QObject object)
- void setMappingByString(QObject sender, String text)

### Instance Properties

QSignalMapper objects have no special properties beyond those inherited from the QSignalMapper prototype object.